db.objects {PivotalR} | R Documentation

## List all the existing tables/views in a database with their schema names

### Description

This function lists all the existing tables and views in a database, together with their schema names

### Usage

    db.objects(search = NULL, conn.id = 1)

### Arguments

`search` | A string, default is `NULL`. List all database objects whose names have the string in them. You can put regular expression here.
`conn.id` | An integer, default is 1. The ID of the database connection.

### Value

A character array. Each element has the format of 'schema_name.table_name'.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`db.connect` creates a connection to a database.

`db.existsObject` tests whether an object exists in the database

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    ## create a table using as.db.data.frame
    delete("abalone", conn.id = cid)
    x <- as.db.data.frame(abalone, "abalone", conn.id = cid)

    db.objects(conn.id = cid) # list all tables/views

    ## list all tables/views start with "madlibtestdata.lin"
    ## where "madlibtestdata" is the schema name
    db.objects("^madlibtestdata.lin", cid)

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]